<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:layout_marginTop="4dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="8dp"
        app:contentPaddingBottom="10dp"
        app:cardCornerRadius="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="50dp"
                android:paddingTop="13dp"
                android:paddingRight="15dp"
                android:paddingBottom="17dp">

                <TextView
                    android:id="@+id/tv_tag"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    tools:text="待办消息"
                    android:textColor="#ff333333"
                    android:textSize="15sp" />

                <TextView
                    android:visibility="gone"
                    android:layout_centerVertical="true"
                    android:id="@+id/tv_time"
                    android:layout_marginLeft="15dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    tools:text="1月10日 9:00前完成"
                    android:drawablePadding="7dp"
                    android:drawableRight="@drawable/ic_task_time"
                    android:textColor="#FFB8B8B8"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_state"
                    android:visibility="gone"
                    android:layout_alignParentRight="true"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="已完成"
                    android:textColor="#ff20bfa1"
                    android:textSize="12sp" />
            </LinearLayout>


            <View
                android:layout_marginLeft="21dp"
                android:layout_marginRight="16dp"
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FFE6E6E6" />

            <TextView
                android:id="@+id/tv_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingRight="20dp"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                tools:text="吉林省城市基层党务工作者万人大培训"
                android:textColor="#ff666666"
                android:textSize="12sp" />

            <View
                android:id="@+id/v_line"
                android:layout_marginLeft="21dp"
                android:layout_marginRight="16dp"
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FFE6E6E6" />

            <TextView
                android:visibility="gone"
                android:id="@+id/tv_complete"
                android:paddingTop="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:text="我完成了"
                android:background="@drawable/shape_mini_btn"
                android:textColor="#ffffffff"
                android:textSize="12sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <TextView
                android:visibility="gone"
                android:id="@+id/tv_car_put"
                android:paddingTop="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:text="立即填写"
                android:background="@drawable/shape_mini_btn"
                android:textColor="#ffffffff"
                android:textSize="12sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <TextView
                android:id="@+id/tv_plan"
                android:visibility="gone"
                android:paddingTop="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:text="查看安排"
                android:background="@drawable/shape_mini_btn"
                android:textColor="#ffffffff"
                android:textSize="12sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />


        </LinearLayout>

        <ImageView
            android:id="@+id/iv_zx"
            android:visibility="gone"
            android:src="@drawable/ic_zx"
            android:layout_gravity="right"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.cardview.widget.CardView>

    <ImageView
        android:id="@+id/iv_tag"
        android:elevation="5dp"
        android:layout_marginLeft="27dp"
        tools:src="@drawable/ic_task_blue"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />


</FrameLayout>